# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name mwc-random

%global common_summary Fast, high quality pseudo random number generation

%global common_description A library for generating high quality random numbers that follow\
either a uniform or normal distribution.  The generated numbers are\
suitable for use in statistical applications.\
The uniform PRNG uses Marsaglia's MWC256 (also known as MWC8222)\
multiply-with-carry generator, which has a period of 2^8222 and\
fares well in tests of randomness.  It is also extremely fast,\
between 2 and 3 times faster than the Mersenne Twister.\
\
Compared to the mersenne-random package, this package has a more\
convenient API, is faster, and supports more statistical distributions.

Name:           ghc-%{pkg_name}
Version:        0.12.0.1
Release:        2%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-vector-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc README.markdown


%changelog
* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.12.0.1-2
- update with cabal-rpm

* Sun Oct 21 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.0.1-1
- update to 0.12.0.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.12.0.0-3
- change prof BRs to devel

* Mon May  7 2012 Jens Petersen <petersen@redhat.com> - 0.12.0.0-2
- requires ghci to build

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.12.0.0-1
- update to 0.12.0.0

* Thu Jan 19 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.11.0.0-1
- update to 0.11.0.0 version

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-2
- update to cabal2spec-0.25.2
- add README file
- depends on time

* Sat Nov 19 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.1-1
- Added dependencies. License is BSD3

* Sat Nov 19 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.10.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
